Geronimo
  1. Geronimo
  2. GERONIMO-4262

Include patched build of AMQ 4.1.2 to resolve AMQ-1272 security exposure

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Critical Critical
    • Resolution: Fixed
    • Affects Version/s: 1.1.1, 2.0.2, 2.1.2, 2.2
    • Fix Version/s: 2.0.3, 2.1.3, 2.2
    • Component/s: ActiveMQ
    • Security Level: public (Regular issues)
    • Labels:
      None

      Description

      Need to include a patched activemq-core jarfile to fix the following security exposure that was fixed in AMQ 5.1.0 -
      https://issues.apache.org/activemq/browse/AMQ-1272
      Stomp protocol does not correctly check authentication (security hole)

      1. AMQ1272-stomp-auth-v412.patch
        18 kB
        Donald Woods
      2. 4.1.2-G647819.README.TXT
        2 kB
        Donald Woods

        Activity

          People

          • Assignee:
            Donald Woods
            Reporter:
            Donald Woods
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development